Skip to main content
GET
/
v1
/
funding
/
transactions
List funding transactions
curl --request GET \
  --url https://api.getsly.ai/v1/v1/funding/transactions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "source_id": "<string>",
      "amount_cents": 123,
      "currency": "<string>",
      "status": "pending",
      "fees": {
        "provider": 123,
        "sly": 123,
        "total": 123
      },
      "created_at": "2023-11-07T05:31:56Z",
      "wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "destination_currency": "<string>",
      "estimated_settlement": "2023-11-07T05:31:56Z",
      "failure_reason": "<string>",
      "completed_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "totalPages": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).

Query Parameters

source_id
string
account_id
string<uuid>
status
enum<string>
Available options:
pending,
processing,
completed,
failed
page
integer
default:1
limit
integer
default:50
Required range: x <= 200

Response

200 - application/json

Paginated transactions

data
object[]
required
pagination
object
required